module AppMonitorRuby
	def self.included(base)
	  base.around_filter :exception_catcher
	end



	def exception_catcher(&block)

	  begin

	  yield

	  rescue  Exception => exception
	    event_notifier = EventNotifier.new
	    event_notifier.notify(exception,request,params)
	    raise exception
	  end

	end

end